Name:           wklej
Version:        0.1.7
Release:        15%{?dist}
Summary:        A wklej.org submitter
Summary(pl):    Skrypt umieszczający tekst w serwisie wklej.org

Group:          Applications/Text
License:        GPLv2+
URL:            http://wklej.org/
Source0:        http://wklej.org/m/apps/wklej-%{version}.tar.gz
BuildArch:      noarch

#BuildRequires:  
Requires:       python2

%description
A wklej.org submitter.

%description -l pl
Skrypt służący do umieszczania tesktu w serwisie wklej.org.

%package vim

Summary:        A wklej.org submitter plugin for vim
Summary(pl):    Wtyczka do vima umieszczająca tekst w serwisie wklej.org
Group:          Applications/Text
Requires:       python2 vim

%description vim
A wklej.org submitter plugin for vim.

%description vim -l pl
Wtyczka do vima umieszczająca tekst w serwisie wklej.org.

%prep
%setup -q -c


%build
#nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/plugin
install -p -m 755 wklej $RPM_BUILD_ROOT%{_bindir}
install -p -m 644 wklej.vim $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/plugin



%files
%doc README
%{_bindir}/wklej

%files vim
%{_datadir}/vim/vimfiles/plugin/wklej.vim

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 14 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.1.7-14
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 16 2009 Rafał Psota <rafalzaq@gmail.com> - 0.1.7-1
- update to 0.1.7

* Thu Feb 26 2009 Rafał Psota <rafalzaq@gmail.com> - 0.1.6-1
- update to 0.1.6

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Oct 13 2008 Rafał Psota <rafalzaq@gmail.com> - 0.1.4-1
- update to 0.1.4

* Wed Aug 27 2008 Rafał Psota <rafalzaq@gmail.com> - 0.1.2-1
- update to 0.1.2

* Thu Aug 21 2008 Rafał Psota <rafalzaq@gmail.com> - 0.1.1-1
- update to 0.1.1

* Sun Jan 20 2008 Rafał Psota <rafalzaq@gmail.com> - 0.0.9-3
- preserve timestamps for the source

* Sun Dec 23 2007 Rafał Psota <rafalzaq@gmail.com> - 0.0.9-2
- removed external COPYING file

* Sat Dec 22 2007 Rafał Psota <rafalzaq@gmail.com> - 0.0.9-1
- Initial release
